roboptim::Split< T > Class Template Reference
Function filters

`#include <roboptim/core/filter/split.hh>`

Inheritance diagram for roboptim::Split< T >:

## Public Types

typedef DifferentiableFunction::value_type | value_type
| Import value type. More...
typedef DifferentiableFunction::size_type | size_type
| Import size type. More...
typedef DifferentiableFunction::vector_t | vector_t
| Import vector type. More...
typedef DifferentiableFunction::result_t | result_t
| Import result type. More...
typedef DifferentiableFunction::argument_t | argument_t
| Import argument type. More...
typedef DifferentiableFunction::gradient_t | gradient_t
| Import gradient type. More...
typedef TwiceDifferentiableFunction::hessian_t | hessian_t
| Import hessian type. More...
typedef DifferentiableFunction::jacobian_t | jacobian_t
| Import jacobian type. More...
typedef DifferentiableFunction::interval_t | interval_t
| Import interval type. More...

## Public Member Functions

| Split (boost::shared_ptr< const T > fct, size_type functionId) throw ()
| ~Split () throw ()

## Protected Member Functions

virtual void | impl_compute (result_t &result, const argument_t &argument) const throw ()
virtual void | impl_gradient (gradient_t &gradient, const argument_t &argument, size_type functionId=0) const throw ()
virtual void | impl_hessian (hessian_t &hessian, const argument_t &argument, size_type functionId=0) const throw ()
virtual void | impl_derivative (gradient_t &derivative, double argument, size_type order=1) const throw ()
template<>
void | impl_gradient (gradient_t &, const argument_t &, size_type) const throw()
template<>
void | impl_hessian (hessian_t &, const argument_t &, size_type) const throw()
template<>
void | impl_hessian (hessian_t &, const argument_t &, size_type) const throw()
template<>
void | impl_derivative (gradient_t &, double, size_type) const throw()
template<>
void | impl_derivative (gradient_t &, double, size_type) const throw()
template<>
void | impl_derivative (gradient_t &, double, size_type) const throw()

## Member Typedef Documentation

template<typename T >

typedef DifferentiableFunction::argument_t roboptim::Split< T >::argument_t

Import argument type.

template<typename T >

typedef DifferentiableFunction::gradient_t roboptim::Split< T >::gradient_t

Import gradient type.

template<typename T >

typedef TwiceDifferentiableFunction::hessian_t roboptim::Split< T >::hessian_t

Import hessian type.

template<typename T >

typedef DifferentiableFunction::interval_t roboptim::Split< T >::interval_t

Import interval type.

template<typename T >

typedef DifferentiableFunction::jacobian_t roboptim::Split< T >::jacobian_t

Import jacobian type.

template<typename T >

typedef DifferentiableFunction::result_t roboptim::Split< T >::result_t

Import result type.

template<typename T >

typedef DifferentiableFunction::size_type roboptim::Split< T >::size_type

Import size type.

template<typename T >

typedef DifferentiableFunction::value_type roboptim::Split< T >::value_type

Import value type.

template<typename T >

typedef DifferentiableFunction::vector_t roboptim::Split< T >::vector_t

Import vector type.

## Constructor & Destructor Documentation

template<typename T >

roboptim::Split< T >::Split | ( | boost::shared_ptr< const T > | fct,
|  | size_type | functionId
| ) |  |
throw | ( |
| ) |  |

explicit

template<typename T >

roboptim::Split< T >::~Split | ( |  | ) |
throw | ( |
| ) |  |

## Member Function Documentation

template<typename T >

void roboptim::Split< T >::impl_compute | ( | result_t & | result,
|  | const argument_t & | argument
| ) |  | const
throw | ( |
| ) |  |

protected virtual

template<typename T >

void roboptim::Split< T >::impl_derivative | ( | gradient_t & | derivative,
|  | double | argument,
|  | size_type | order = `1`
| ) |  | const
throw | ( |
| ) |  |

protected virtual

template<>

void roboptim::Split< Function >::impl_derivative | ( | gradient_t & | ,
|  | double | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected

template<>

void roboptim::Split< DifferentiableFunction >::impl_derivative | ( | gradient_t & | ,
|  | double | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected

template<>

void roboptim::Split< TwiceDifferentiableFunction >::impl_derivative | ( | gradient_t & | ,
|  | double | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected

template<typename T >

void roboptim::Split< T >::impl_gradient | ( | gradient_t & | gradient,
|  | const argument_t & | argument,
|  | size_type | functionId = `0`
| ) |  | const
throw | ( |
| ) |  |

protected virtual

template<>

void roboptim::Split< Function >::impl_gradient | ( | gradient_t & | ,
|  | const argument_t & | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected

template<typename T >

void roboptim::Split< T >::impl_hessian | ( | hessian_t & | hessian,
|  | const argument_t & | argument,
|  | size_type | functionId = `0`
| ) |  | const
throw | ( |
| ) |  |

protected virtual

template<>

void roboptim::Split< Function >::impl_hessian | ( | hessian_t & | ,
|  | const argument_t & | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected

template<>

void roboptim::Split< DifferentiableFunction >::impl_hessian | ( | hessian_t & | ,
|  | const argument_t & | ,
|  | size_type |
| ) |  | const
throw | ( |
| ) |  |

protected